com.io7m.r2.core

## Class R2DepthOnlyRenderer

- java.lang.Object
- - com.io7m.r2.core.R2DepthOnlyRenderer

- All Implemented Interfaces:
    com.io7m.jcanephora.core.JCGLResourceUsableType, R2DeletableType, R2DepthRendererType

      public final class R2DepthOnlyRenderer
      extends Object
      implements R2DepthRendererType

  The default implementation of the `R2DepthRendererType` interface.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `delete(com.io7m.jcanephora.core.api.JCGLInterfaceGL33Type g3)` Delete the current object.
    `boolean` | `isDeleted()`
    `static R2DepthRendererType` | `newRenderer(com.io7m.jcanephora.core.api.JCGLInterfaceGL33Type in_g)` Construct a new renderer.
    `void` | `renderDepth(R2DepthOnlyBufferUsableType dbuffer, com.io7m.jcanephora.texture_unit_allocator.JCGLTextureUnitContextParentType uc, R2MatricesObserverType m, R2DepthInstancesType s)` Render the given opaque instances into the given depth buffer.
    `void` | `renderDepthWithBoundBuffer(com.io7m.jareas.core.AreaInclusiveUnsignedLType area, com.io7m.jcanephora.texture_unit_allocator.JCGLTextureUnitContextParentType uc, R2MatricesObserverType m, R2DepthInstancesType s)` Render the given opaque instances into the currently bound depth buffer.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### newRenderer

          public static R2DepthRendererType newRenderer(com.io7m.jcanephora.core.api.JCGLInterfaceGL33Type in_g)

      Construct a new renderer.
      Parameters:
        `in_g` - An OpenGL interface
      Returns:
        A new renderer

    - #### delete

          public void delete(com.io7m.jcanephora.core.api.JCGLInterfaceGL33Type g3)
                      throws R2Exception

      Description copied from interface: `R2DeletableType`
      Delete the current object.
      Specified by:
        `delete` in interface `R2DeletableType`
      Parameters:
        `g3` - An OpenGL interface
      Throws:
        `R2Exception` - On errors

    - #### isDeleted

          public boolean isDeleted()

      Specified by:
        `isDeleted` in interface `com.io7m.jcanephora.core.JCGLResourceUsableType`

    - #### renderDepth

          public void renderDepth(R2DepthOnlyBufferUsableType dbuffer,
                                  com.io7m.jcanephora.texture_unit_allocator.JCGLTextureUnitContextParentType uc,
                                  R2MatricesObserverType m,
                                  R2DepthInstancesType s)

      Description copied from interface: `R2DepthRendererType`
      Render the given opaque instances into the given depth buffer.
      Specified by:
        `renderDepth` in interface `R2DepthRendererType`
      Parameters:
        `dbuffer` - The depth buffer
        `uc` - A texture unit context
        `m` - A matrix context
        `s` - The depth instances

    - #### renderDepthWithBoundBuffer

          public void renderDepthWithBoundBuffer(com.io7m.jareas.core.AreaInclusiveUnsignedLType area,
                                                 com.io7m.jcanephora.texture_unit_allocator.JCGLTextureUnitContextParentType uc,
                                                 R2MatricesObserverType m,
                                                 R2DepthInstancesType s)

      Description copied from interface: `R2DepthRendererType`
      Render the given opaque instances into the currently bound depth buffer.
      Specified by:
        `renderDepthWithBoundBuffer` in interface `R2DepthRendererType`
      Parameters:
        `area` - The current viewport
        `uc` - A texture unit context
        `m` - A matrix context
        `s` - The depth instances

Copyright © 2017 <code@io7m.com> http://io7m.com